@ Blink Leds on  eval board (ensure LK1 jumper is fitted)
.include "ADuc7038.equ"                           

        .text
        .arm

        .global _start
        .func   _start
_start:
Vectors:        LDR     PC, Reset_Address
                LDR     PC, Undef_Addr
                LDR     PC, SWI_Addr
                LDR     PC, PAbt_Addr
                LDR     PC, DAbt_Addr
 .word 0xFFFFFFFF/* Reserved Vector */
                LDR     PC, IRQ_Addr
                LDR     PC, FIQ_Addr

Reset_Address:  .word   Reset_Handler
Undef_Addr:     .word   Reset_Handler 
SWI_Addr:       .word   Reset_Handler 
PAbt_Addr:      .word   Reset_Handler 
DAbt_Addr:      .word   Reset_Handler 
IRQ_Addr:       .word   Reset_Handler 
FIQ_Addr:       .word   Reset_Handler 

Reset_Handler: 
            LDR         SP, =0x41000 
            MOV         R6,#0xff000000          @r6 = Z_BASE;
            MOV         R6,R6,ASR#8

            MOV         R0,#0x0 
            STR         R0,[R6,#Z_GPCON]
			@STR         R0,[R6,#Z_T2CON]
            

            MOV         R10,#0x00000001 
RESTART:
            CMP         R10,#0x00000001 
            MOVNE       R10,#0x00000001
            MOVEQ       R10,#0x00000000
            MOV         R7, #0xFF000000 
            MOV         R8, #0x00010000 
            MOV         R5, #0x00100000 
            MOV         R9, #0x00000000 
DISPLAYL:
            CMP         R10,#0x00000001 
            ORRNE       R0,R7,R5, LSR R9
            ORREQ       R0,R7,R8, LSL R9
            STR         R0,[R6,#Z_GPDAT]
            BL          DELAY
            ADD         R9,R9,#1
            CMP         R9,#6
            BEQ         RESTART
            BNE         DISPLAYL
        .size   _start, . - _start 
        .endfunc 

        .func   DELAY
@ Delay Loop
DELAY:
             MOV         R1,#0x00000000
             MOV         R2,#0x0000F000
LOOP1:
             ADD         R1,R1,#0x0001
             CMP         R1,R2
             BCC         LOOP1
             BX          LR
        .size   DELAY, . - DELAY 
        .endfunc 


        .end

